local TLfres = require "tlfres"

local numClicks = 0
boxXleft = 100
boxYtop = 100
boxWidth = 300
boxHeight = 200
boxXright = boxXleft + boxWidth
boxYbottom = boxYtop + boxHeight

function love.load()
    stdCursor = love.mouse.newCursor( "bandeira-usa-e.png", 15, 8 )
    clickCursor = love.mouse.newCursor( "bandeira-brasil.png", 15, 8 ) 
    love.mouse.setCursor( stdCursor )  
end

function love.update(dt)
  alterarCursor()
  love.mousereleased = function(x, y, button)
    if inBox( x, y ) then
      numClicks = numClicks + 1
    return
    end
  end 
end
  
function love.draw()love.graphics.setColor(1,1,1)
TLfres.beginRendering( SCREEN_WIDTH, SCREEN_HEIGHT )
  love.graphics.rectangle( "fill", boxXleft, boxYtop, boxWidth, boxHeight )
  love.graphics.setColor(1,0,0) 
  love.graphics.print( "This box has been clicked " .. numClicks .. " times", boxXleft + 25, boxYtop + 100 )
TLfres.endRendering()
end

function inBox( x, y )
  return (x > boxXleft and x < boxXright) and (y > boxYtop and y < boxYbottom)
end

function alterarCursor()
  local x, y = TLfres.getMousePosition( SCREEN_WIDTH, SCREEN_HEIGHT )
  
      if inBox( x, y ) then 
        love.mouse.setCursor( clickCursor )
      else
        love.mouse.setCursor( stdCursor )      
      end
  return
end